Name: installer-group-desktop
Version: 4.0
Release: alt19

Group: System/Base
Summary: skeleton package to generate groups of package
License: GPL
%description
Skeleton package to generate groups of package




### kde
%package kde
Summary: Desktop
Summary(ru_RU.UTF-8): Рабочий стол
Group: System/Base
Requires: kde-small
Requires: kde-i18n
Requires: kde-icon-theme-tango tango-icon-theme-extras kdegraphics-ksnapshot 
Requires: gtk2-themes-qtcurve kde-styles-qtcurve gtk1-themes-industrial
Requires: k3b  k3b-i18n kdebluetooth kdepim-akregator
Requires: kdeutils-irkick kdeutils-kcalc kdeutils-kcharselect
Requires: kdeutils-kdessh kdeutils-kdf kdeutils-kedit kdeutils-kfloppy
Requires: kdeutils-kgpg kdeutils-khexedit kdeutils-kjots kdeutils-kregexpeditor
Requires: kdeutils-ksim kdeutils-ktimer kdeutils-kwallet
Requires: dvd+rw-tools cdrecord-classic
Requires: beryl-kde
Requires: kdebase-kdm kde-settings-kdm
Requires: katapult
Requires: kpowersave kchmviewer
Requires: kdeutils-ark synce-kde
Requires: cups printer-drivers-base printer-testpages
Requires: kde-settings-desktop design-graphics-desktop
Requires: wallpapers-flowers wallpapers-landscapes wallpapers-nordnature

Conflicts: installer-group-desktop-kde-lite

%description kde
Virtual package for KDE installation



### kde lite
%package kde-lite
Group: System/Base
Summary: Desktop
Summary(ru_RU.UTF-8): Рабочий стол
Requires: kdebase
Requires: kde-icon-theme-tango tango-icon-theme-extras
Requires: kkbswitch kdegraphics-ksnapshot kpowersave kchmviewer
Requires: dvd+rw-tools cdrecord-classic k3b kdepim-akregator
Requires: gtk2-themes-qtcurve kde-styles-qtcurve
Requires: kdeutils-ark  kdebluetooth
Requires: kdeutils-irkick kdeutils-kcalc kdeutils-kcharselect
Requires: kdeutils-kdessh kdeutils-kdf kdeutils-kedit kdeutils-kfloppy
Requires: kdeutils-kgpg kdeutils-khexedit kdeutils-kjots kdeutils-kregexpeditor
Requires: kdeutils-ksim kdeutils-ktimer kdeutils-kwallet
Requires: kde-i18n-ru
Requires: kde-i18n-uk
Requires: cups printer-drivers-base printer-testpages kcalc
Requires: kde-settings-desktop design-graphics-desktop



Conflicts: installer-group-desktop-kde

%description kde-lite
Virtual package for kde installation with lite settings


### office apps
%package office-lite
Group: System/Base
Summary: Office Suite
Summary(ru_RU.UTF-8): Офисный пакет
Requires: openoffice.org-kde
Requires: openoffice.org-langpack-ru openoffice.org-langpack-uk
Requires: stardict-gtk
Requires: stardict-mueller7
Requires: stardict-slovnyk_be-en
Requires: stardict-slovnyk_en-be
Requires: stardict-slovnyk_en-ru
Requires: stardict-slovnyk_en-uk
Requires: stardict-slovnyk_ru-en
Requires: stardict-slovnyk_uk-en
Requires: stardict-wn

Conflicts: installer-group-desktop-office

%description office-lite
Office applications

%package office
Group: System/Base
Summary: Office Suite
Summary(ru_RU.UTF-8): Офисный пакет
Requires: openoffice.org-kde
Requires: openoffice.org-langpack-ru openoffice.org-langpack-uk
Requires: scribus kmymoney2 
Requires: ananas ananas-extensions ananas-inventory
Requires: koffice-kugar koffice-kexi koffice-kplato
Requires: basket
Requires: kdesdk-umbrello
Requires: stardict-gtk
Requires: stardict-mueller7
Requires: stardict-slovnyk_be-en
Requires: stardict-slovnyk_en-be
Requires: stardict-slovnyk_en-ru
Requires: stardict-slovnyk_en-uk
Requires: stardict-slovnyk_ru-en
Requires: stardict-slovnyk_uk-en
Requires: stardict-wn

# doc
Requires: docs-openoffice-kirill docs-scribus_intro-kirill

Conflicts: installer-group-desktop-office-lite

%description office
Office applications



###
%package graphics-lite
Group: System/Base
Summary: Graphics
Summary(ru_RU.UTF-8): Работа с графикой

#Requires: koffice-krita
Requires: digikam
Requires: digikam-image-plugins
Requires: sane xsane

Conflicts: installer-group-desktop-graphics

%description graphics-lite
Virtual package for graphics applications installation

####
%package graphics
Group: System/Base
Summary: Graphics
Summary(ru_RU.UTF-8): Работа с графикой

Requires: gimp2
Requires: gimp-print gimp-plugin-gutenprint
Requires: gimp2-plugin-greystoration
Requires: gimp2-plugin-siox
Requires: gimp-plugin-ufraw
Requires: digikam
Requires: digikam-image-plugins
Requires: ufraw
Requires: inkscape
Requires: hugin
Requires: gwenview gwenview-i18n
Requires: sane xsane

Conflicts: installer-group-desktop-graphics-lite

%description graphics
Virtual package for graphics applications (GIMP, Inkskape etc) installation


####
%package network
Group: System/Base
Summary: Communications
Summary(ru_RU.UTF-8): Коммуникации

Requires: kdenetwork-kopete twinkle jasper
Requires: firefox firefox-ru firefox-be firefox-uk
Requires: firefox-ru_ie-dictionary firefox-ru_yo-dictionary
Requires: firefox-alterator-extension
Requires: thunderbird-ru kdenetwork-kppp
Requires: ktorrent linuxdcpp
Requires: alterator-net-pptp alterator-net-eth alterator-net-pppoe alterator-net-wifi alterator-net-general
Requires: wireless-tools wpa_supplicant
%ifarch %ix86
Requires: mozilla-plugin-adobe-flash
%endif

Conflicts: installer-group-desktop-network-lite

%description network
Virtual package for installation network applications


####
%package network-lite
Group: System/Base
Summary: Communications
Summary(ru_RU.UTF-8): Коммуникации

Requires: firefox firefox-ru firefox-be firefox-uk
Requires: firefox-alterator-extension
Requires: kdenetwork-kopete jasper
Requires: kdeaddons-konqueror
Requires: kdepim-kmail kdenetwork-kppp kdepim-akregator
Requires: alterator-net-pptp alterator-net-eth alterator-net-pppoe alterator-net-wifi alterator-net-general
Requires: wireless-tools wpa_supplicant


Conflicts: installer-group-desktop-network

%description network-lite
Virtual package for installation network applications


%package multimedia
Summary: Multimedia
Group: System/Base
Summary(ru_RU.UTF-8): Мультимедиа

Requires: kdegraphics kaffeine digikam digikam-image-plugins kipi-plugins
Requires: amarok amarok-mediadevice-daap amarok-mediadevice-generic amarok-mediadevice-ipod
Requires:  kdemultimedia-arts    kdemultimedia-kaudiocreator  kdemultimedia-kfile  kdemultimedia-kmid  kdemultimedia-kmix kdemultimedia-krec  kdemultimedia-kscd  kdemultimedia-libs 
Requires: qtradio audacity kdetv
Requires: jahshaka
Requires: blender blender-docs
Requires: fbreader
Requires: kdetv
Conflicts: installer-group-desktop-multimedia-lite
%description multimedia
Multimedia

%package multimedia-lite
Summary: Multimedia
Group: System/Base
Summary(ru_RU.UTF-8): Мультимедиа

Requires: kaffeine kdemultimedia-kmix
Conflicts: installer-group-desktop-multimedia


%description multimedia-lite
Lite multimedia




%package edu
Summary: Edutainment
Summary(ru_RU.UTF-8): Образование

Group: System/Base
Requires: kdeedu stellarium gcompris gcompris-voices-en gcompris-voices-ru tuxpaint tuxpaint-stamps
Requires: celestia
Requires: stardict-gtk
Requires: stardict-mueller7
Requires: stardict-slovnyk_be-en
Requires: stardict-slovnyk_en-be
Requires: stardict-slovnyk_en-ru
Requires: stardict-slovnyk_en-uk
Requires: stardict-slovnyk_ru-en
Requires: stardict-slovnyk_uk-en
Requires: stardict-wn

%description edu
Education

%package games
Summary: Games
Summary(ru_RU.UTF-8): Игры

Group: System/Base
Requires: ppracer blobwars xmoto supertux2 pingus frozen-bubble lbreakout2 wormux wormux-data 
Requires: quake3 quake3-server quake3-client-up quake3-client-smp kdegames 
#Requires: bzflag* scorched3d warzone2100 kiki wesnoth*
%description games
Games


%package emulators
Summary: Emulators
Summary(ru_RU.UTF-8): Эмуляторы

Group: System/Base
%ifarch %ix86
Requires: wine
Requires: dosemu dosemu-freedos
%endif

Requires: qemu

%description emulators
Emulators-Common


%package docs
Summary: Documentation
Summary(ru_RU.UTF-8): Документация

Group: System/Base
Requires: docs-issue-desktop_personal 

%description docs
Documentation


%files kde
%files kde-lite
%files office
%files office-lite
%files graphics
%files graphics-lite
%files network
%files network-lite
%files multimedia
%files multimedia-lite
%files edu
%files games
%files emulators
%files docs

%changelog
* Tue Aug 14 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0-alt19
- kcalc added 

* Wed Aug 08 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0-alt18
- digikam added to graphics 
- kfloppy added
- ananas* insted of ananas

* Tue Aug 07 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0-alt17
- gimp2-plugin-ufraw renamed gimp-plugin-ufraw 

* Tue Aug 07 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0-alt16
- cdrecord-classic insted of cdrecord
- k3b in cd version

* Mon Aug 06 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0-alt15
- basket added 

* Thu Jul 26 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0-alt14
- -docs package added

* Fri Jul 20 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0-alt13
- make arch-dependent
- openoffice-uk added

* Tue Jul 03 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0-alt12
- added kmymoney, ananas, jasper

* Tue Jun 26 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0-alt11
- kppp added to network-lite 

* Wed Jun 20 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0-alt10
- Deleted scanbuttond 

* Sat Jun 09 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0-alt9
- some packages put within other 

* Tue May 29 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0-alt8
- conflicts fixed 

* Mon May 28 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0-alt7
- Added translations by cas@ 

* Fri May 25 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0-alt6
- typos fixed 

* Wed May 23 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0-alt5
- added cdrecord and kmix into kde-lite 

* Fri May 18 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0-alt4
- major changes in packages lists

* Wed May 16 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0-alt3
- added tango icons
- added sane

* Fri May 04 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0-alt2
- Fixed problem with remote_admin subpackage name

* Thu Apr 26 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0-alt1
- Initital version


